lxc-clone(1)

NAME
lxc-clone - clone a new container from an existing one.

SYNOPSIS
lxc-clone
{-o orig} {-n new} [-s ] [-L fssize] [-v vgname] [-p lxc_lv_prefix] [-t fstype]

DESCRIPTION
lxc-clone Creates a new container as a copy of an existing container. When the original container's rootfs is an LVM block device or is on a btrfs filesystem, then a snapshotted clone can be created, taking up very little initial disk space.

OPTIONS

\FC-o, --orig \F[]orig
    The name of the original container to clone.

\FC-n, --new \F[]new
    The name of the new container to create.

\FC-s, --snapshot\F[]
    The new container's rootfs should be a LVM or btrfs snapshot of the original.

\FC-L, --fssize \F[]fssize
    In the case of a LVM-backed container, a size for the new block device. By default, the new device will be made the same size as the original.

\FC-v, --vgname \F[]vgname
    For an LVM-backed container, the volume group name to use. By default it is 'lxc'.

\FC-p, --lvprefix \F[]lxc_lv_prefix
    For an LVM-backed container, a string to prefix to the container name to form the logical volume name. For instance, specifying -n c1 -p lxc_ will cause the container rootfs to be on a logical volume called lxc_c1.

\FC-t, --fstype \F[]fstype
    For a non-snapshot LVM clone, the file system to use for the new container. Note this option is ignored when requesting a snapshotted container.

SEE ALSO
lxc(1), lxc-create(1), lxc-destroy(1), lxc-start(1), lxc-stop(1), lxc-execute(1), lxc-kill(1), lxc-console(1), lxc-monitor(1), lxc-wait(1), lxc-cgroup(1), lxc-ls(1), lxc-ps(1), lxc-info(1), lxc-freeze(1), lxc-unfreeze(1), lxc-attach(1), lxc.conf(5)

AUTHOR
Serge Hallyn <\FCserge.hallyn@ubuntu.com\F[]>